From repocop@altlinux.org Wed Jun  4 02:33:03 MSK 2025
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop NMU

- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * altlinux-policy-obsolete-buildreq for nvidia_glx_common
  * postclean-03-private-rpm-macros for the spec file

--- a/nvidia_glx_common.spec	2025-06-04 02:33:03.872861632 +0300
+++ b/nvidia_glx_common.spec	2025-06-04 02:33:03.872861632 +0300
@@ -166,29 +166,29 @@
 
 
 %install
-%__mkdir_p %buildroot/%module_local_dir
-%__mkdir_p %buildroot/sbin
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%x_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia
-%__mkdir_p %buildroot/%x11_lib_dir/vdpau
-%__mkdir_p %buildroot/%x11_lib_dir/gbm
-#%__mkdir_p %buildroot/lib/firmware/nvidia
+mkdir -p %buildroot/%module_local_dir
+mkdir -p %buildroot/sbin
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%x_etclib_sym_dir
+mkdir -p %buildroot/%nv_etclib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia
+mkdir -p %buildroot/%x11_lib_dir/vdpau
+mkdir -p %buildroot/%x11_lib_dir/gbm
+#mkdir -p %buildroot/lib/firmware/nvidia
 
 # prompt user to don't use nvidia-installer
 mkdir -p %buildroot/usr/lib/nvidia/
@@ -198,35 +198,35 @@
 install -m 0755 %SOURCE3 %buildroot/%_bindir/
 install -m 0755 %SOURCE4 %buildroot/%_bindir/
 
-%__install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
-#%__ln_s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
-%__install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
-%__install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
-%__install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
-
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
-%__ln_s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
+install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
+#ln -s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
+install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
+install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
+install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
+
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
+ln -s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
 %if "%_lib" == "lib64"
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
-%__ln_s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
+ln -s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
 %endif
 
-%__ln_s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
-%__ln_s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
-%__ln_s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
+ln -s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
+ln -s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
+ln -s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
+ln -s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
+ln -s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
 
 mkdir -p %buildroot/%_datadir/vulkan/icd.d/
 ln -s /dev/null %buildroot/%nv_etclib_sym_dir/nvidia_icd.json
@@ -237,15 +237,15 @@
 
 # nvidia_drv.o
 if false ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
 fi
 # nvidia_drv.so
 if true ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
 fi
 
 
